C3P0ImplUtils (c3p0-0.9.5.5 API Documentation)
Date: 2019-12-11

com.mchange.v2.c3p0.impl

## Class C3P0ImplUtils

- java.lang.Object
- - com.mchange.v2.c3p0.impl.C3P0ImplUtils

-     public final class C3P0ImplUtils
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.Object[]` | `NOARGS`
    `static DbAuth` | `NULL_AUTH`
    `static java.util.logging.Logger` | `PARENT_LOGGER`
    `static java.lang.String` | `VMID_PROPKEY`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static java.lang.String` | `allocateIdentityToken(java.lang.Object o)`
    `static void` | `assertCompileTimePresenceOfJdbc4_Jdk17Api(NewProxyConnection npc)` never intended to be called.
    `static java.lang.String` | `createUserOverridesAsString(java.util.Map userOverrides)`
    `static DbAuth` | `findAuth(java.lang.Object o)`
    `static java.util.Map` | `parseUserOverridesAsString(java.lang.String userOverridesAsString)`
    `static boolean` | `supportsMethod(java.lang.Object target, java.lang.String mname, java.lang.Class[] argTypes)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### NULL_AUTH

          public static final DbAuth NULL_AUTH

    - #### NOARGS

          public static final java.lang.Object[] NOARGS

    - #### PARENT_LOGGER

          public static final java.util.logging.Logger PARENT_LOGGER

    - #### VMID_PROPKEY

          public static final java.lang.String VMID_PROPKEY

      See Also:
        Constant Field Values

  - ### Method Detail

    - #### allocateIdentityToken

          public static java.lang.String allocateIdentityToken(java.lang.Object o)

    - #### findAuth

          public static DbAuth findAuth(java.lang.Object o)
                                 throws java.sql.SQLException

      Throws:
        `java.sql.SQLException`

    - #### supportsMethod

          public static boolean supportsMethod(java.lang.Object target,
                                               java.lang.String mname,
                                               java.lang.Class[] argTypes)

    - #### createUserOverridesAsString

          public static java.lang.String createUserOverridesAsString(java.util.Map userOverrides)
                                                              throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### parseUserOverridesAsString

          public static java.util.Map parseUserOverridesAsString(java.lang.String userOverridesAsString)
                                                          throws java.io.IOException,
                                                                 java.lang.ClassNotFoundException

      Throws:
        `java.io.IOException`
        `java.lang.ClassNotFoundException`

    - #### assertCompileTimePresenceOfJdbc4_Jdk17Api

          public static void assertCompileTimePresenceOfJdbc4_Jdk17Api(NewProxyConnection npc)
                                                                throws java.sql.SQLException

      never intended to be called. we just want a compiler error if somehow we are building/code-generating against an old version of JDBC, as happened somehow with the c3p0-0.9.5-pre2 release
      Throws:
        `java.sql.SQLException`